<% if participatory_process.steps.any? %>
  <div class="columns mediumlarge-4">
    <div class="process-header__phase clearfix">
      <div class="process-header__progress">
        <% if participatory_process.steps.many? %>
          <ol>
            <% past_step = true %>
            <% participatory_process.steps.each_with_index do |step, index| %>
              <% if past_step %>
                <li class="phase-item--past"><span></span></li>
              <% else %>
                <li><span></span></li>
              <% end %>
              <% past_step = false if step.active? %>
            <% end %>
          </ol>
          <span class="phase-current"><%= t(".step", current: (participatory_process.active_step.position + 1), total: current_participatory_space.steps.count) %></span>
        <% end %>
      </div>
      <div>
        <span class="phase-title"><%= translated_attribute participatory_process.active_step.title %></span>
        <span class="phase-date">
          <%= participatory_space_helpers.step_dates participatory_process.active_step %>
        </span>
      </div>
      <% cta_text = translated_attribute(participatory_process.active_step.cta_text) %>
      <% if participatory_process.active_step.cta_path.present? && cta_text.present? %>
        <%= link_to(
          cta_text,
          step_cta_url(participatory_process),
          class: "button small button--sc show-for-medium"
        ) %>
      <% end %>
      <% if participatory_process.steps.many? %>
        <%= link_to t(".view_steps"), decidim_participatory_processes.participatory_process_participatory_process_steps_path(current_participatory_space), class: "button tiny secondary show-for-medium light button__info" %>
      <% end %>
    </div>
  </div>
<% end %>
